#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A library for reading and converting Zoner Draw and Zebra file formats
Summary(pl.UTF-8):	Biblioteka do odczytu i importu formatów plików Zoner Draw i Zebra
Name:		libzmf
Version:	0.0.2
Release:	7
License:	MPL v2.0
Group:		Libraries
Source0:	http://dev-www.libreoffice.org/src/libzmf/%{name}-%{version}.tar.xz
# Source0-md5:	e4b089f35a85a042ba4da3c143b1dc5a
URL:		https://wiki.documentfoundation.org/DLP/Libraries/libzmf
BuildRequires:	boost-devel
BuildRequires:	cppunit-devel
BuildRequires:	doxygen
BuildRequires:	libicu-devel
BuildRequires:	libpng-devel
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	librevenge >= 0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libzmf is a library for reading and converting Zoner Draw and Zebra
file formats.

%description -l pl.UTF-8
Libzmf to biblioteka do odczytu i importu formatów plików Zoner Draw i
Zebra.

%package devel
Summary:	Development files for libzmf
Summary(pl.UTF-8):	Pliki nagłówkowe dla libzmf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel >= 6:4.7

%description devel
This package contains the header files for developing applications
that use libzmf.

%description devel -l pl.UTF-8
Pen pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
libzmf.

%package static
Summary:	Static libzmf library
Summary(pl.UTF-8):	Statyczna biblioteka libzmf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libzmf library.

%description static -l pl.UTF-8
Statyczna biblioteka libzmf.

%package apidocs
Summary:	libzmf API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libzmf
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for libzmf library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libzmf.

%package tools
Summary:	Tools to transform Zoner Draw drawings into other formats
Summary(pl.UTF-8):	Programy przekształcania rysunków Zoner Draw do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Zoner Draw drawings into other formats. Currently
supported: SVG, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania rysunków Zoner Draw do innych formatów.
Aktualnie obsługiwane są SVG i raw.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--disable-werror

%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libzmf-0.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzmf-0.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzmf-0.0.so
%{_includedir}/libzmf-0.0
%{_pkgconfigdir}/libzmf-0.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libzmf-0.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/%{name}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/zmf2raw
%attr(755,root,root) %{_bindir}/zmf2svg
%changelog
* Fri Jun 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libzmf.git;a=log;h=master

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 34ae8e8
- icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 6a54ce9
- icu rebuild

* Sat Aug 21 2021 Jakub Bogusz <qboosh@pld-linux.org> b56c75c
- rpm version for noarch subpackages

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> 9afc48c
- icu rebuild

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 6fa9343
- unconditional noarch subpackages

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 94027bd
- icu 67 rebuild
- release 4 (by relup.sh)

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 38f7ffc
- rebuild with icu 65
- release 3 (by relup.sh)

* Sun Apr 14 2019 Adam Gołębiowski <adamg@pld-linux.org> 4945827
- release 2, rebuild against icu 64

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 01bf86e
- up to 0.0.2

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> fa1d96e
- release 3 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> a2e8f7f
- rebuild with icu 58.2
- release 2 (by relup.sh)

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 4347e11
- disable -Werror (build fails on different signedness comparison warning)

* Fri Jan 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2d81032
- Update to 0.0.1

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> e132fc3
- new

